Create an organization

post https://app.mk.io/api/v1/organization

Create a new Organization.
The user will be added to the newly created Organization.
Optionally the legal information can also be entered at this point.

NOTE: Organization names are not unique so care must be taken to avoid creating duplicates.

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.

Specification
Show 5 propertiesHide 5 properties
legalEntityAddressstringOptional
The legal address of the purchaser.
legalEntityContactEmailstringOptional
The primary officer's email address.
legalEntityNamestringOptional
The legal entity name of the purchaser.
legalEntityOfficerstringOptional
The name of the primary officer of the purchaser.
namestringRequired<=512 characters
Name of the organization.

Response

201 Created
kindstringOptional
The kind of record.
metadataobjectOrganizationMetadataSchemaOptional
Metadata
Show 9 propertiesHide 9 properties
createdstringOptionalformat: date-time
The time when the resource was created
createdBystringOptionalformat: uuid
ID of the user who created the resource
createdByEmailstringOptional
Email of the user who created the resource
createdByIdstringRequiredformat: uuid
Id of the user who created the organization
createdByNamestringRequired
Name of the user who created the organization
idstringRequiredformat: uuid
The ID of the resource
isActivebooleanRequired
Is organization active
namestringOptional
The name of the resource
updatedstringOptionalformat: date-time
The time when the resource was last updated
specobjectOrganizationSpecSchemaRequired
Specification
Show 5 propertiesHide 5 properties
legalEntityAddressstring or nullOptional
The legal address of the purchaser.
legalEntityContactEmailstring or nullOptional
The primary officer's email address.
legalEntityNamestring or nullOptional
The legal entity name of the purchaser.
legalEntityOfficerstring or nullOptional
The name of the primary officer of the purchaser.
namestringOptional
Name of the organization

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code